Skip to content

Loading…

Add test suite to packages. #18

Merged
merged 1 commit into from

2 participants

@calmh

Just add nodeunit and test script to packages.json so other developers know which test runner to use and can verify the tests easily.

  • devDependency on nodeunit.
  • script so that "npm test" does the right thing.
  • formatting changes as imposed by "npm install --save".
@calmh calmh Add test suite to packages.
 - devDependency on nodeunit.
 - script so that "npm test" does the right thing.
 - formatting changes as imposed by "npm install --save".
f8cd17c
@harthur harthur merged commit 7a01c17 into harthur:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jun 14, 2012
  1. @calmh

    Add test suite to packages.

    calmh committed
     - devDependency on nodeunit.
     - script so that "npm test" does the right thing.
     - formatting changes as imposed by "npm install --save".
This page is out of date. Refresh to see the latest.
Showing with 27 additions and 15 deletions.
  1. +27 −15 package.json
View
42 package.json
@@ -1,16 +1,28 @@
{
- "name": "nomnom",
- "description": "Option parser with generated usage and commands",
- "version": "1.5.1",
- "author": "Heather Arthur <fayearthur@gmail.com>",
- "repository": {
- "type": "git",
- "url": "http://github.com/harthur/nomnom.git"
- },
- "main": "./nomnom",
- "keywords": ["arguments", "option parser", "command line", "options", "parser"],
- "dependencies": {
- "underscore": "1.1.x",
- "colors": "0.5.x"
- }
-}
+ "name": "nomnom",
+ "description": "Option parser with generated usage and commands",
+ "version": "1.5.1",
+ "author": "Heather Arthur <fayearthur@gmail.com>",
+ "scripts": {
+ "test": "./node_modules/.bin/nodeunit test/*.js"
+ },
+ "repository": {
+ "type": "git",
+ "url": "http://github.com/harthur/nomnom.git"
+ },
+ "main": "./nomnom",
+ "keywords": [
+ "arguments",
+ "option parser",
+ "command line",
+ "options",
+ "parser"
+ ],
+ "dependencies": {
+ "underscore": "1.1.x",
+ "colors": "0.5.x"
+ },
+ "devDependencies": {
+ "nodeunit": "~0.7.4"
+ }
+}
Something went wrong with that request. Please try again.